package model.lightController;

public interface LightControllable {
    public void setDmxValue(int channel, byte value);
    public void sendDmxValue();
    public void sendDmxValue(int channel, byte value);
    public void activateDmxChannel(int channel);
    public void deactivateDmxChannel(int channel);
    public void activateGroup(byte groupId);
    public void deactivateGroup(byte groupId);
    public void activatePreset(int presetId);
    public void deactivatePreset(int presetId);
    public void clearPreset(int presetId);
    public void setPreset(int presetId, byte groupId, int channel, byte value);
    public void connectToNodes();
}
