// global values
#define MAX_DMX_CHANNEL 100
#define NUMBER_OF_PRESETS 6
#define NUMBER_OF_LED_COLORS 3
#define EEPROM_START_ADRESS 0
#define PRODUCT_URL "https://gitlab.cvh-server.de/sboettger/kiwi-home-light-control-system/"
#define PRODUCT_URL_LENGTHS 70

// Art-Net addresses
#define ART_NET_NET_ADDRESS 0
#define ART_NET_SUB_NET_ADDRESS 0
#define ART_NET_UNIVERSE 0

// led pins
#define LED_1_PINOUT_R 46
#define LED_1_PINOUT_G 44
#define LED_1_PINOUT_B 48

#define LED_2_PINOUT_R 40
#define LED_2_PINOUT_G 38
#define LED_2_PINOUT_B 42

#define LED_3_PINOUT_R 47
#define LED_3_PINOUT_G 45
#define LED_3_PINOUT_B 49

#define LED_4_PINOUT_R 41
#define LED_4_PINOUT_G 39
#define LED_4_PINOUT_B 43

#define LED_5_PINOUT_R 35
#define LED_5_PINOUT_G 33
#define LED_5_PINOUT_B 37

#define LED_6_PINOUT_R 29
#define LED_6_PINOUT_G 27
#define LED_6_PINOUT_B 31

// buttons pins
#define BUTTON_1_PININ 36
#define BUTTON_2_PININ 34
#define BUTTON_3_PININ 32
#define BUTTON_4_PININ 30
#define BUTTON_5_PININ 28
#define BUTTON_6_PININ 26

// dmx pins
#define DMX_PINOUT 24

// preset state values
#define P_DEAKTIV 0
#define P_ACTIVE 1
#define P_PART_ACTIVE 2

// common group id values
#define DEFAULT_GROUP_ID 0

// ethernet communication
#define MAC_ADDRESS_PART_01 0xA8
#define MAC_ADDRESS_PART_02 0x61
#define MAC_ADDRESS_PART_03 0x0A
#define MAC_ADDRESS_PART_04 0xAE
#define MAC_ADDRESS_PART_05 0xE0
#define MAC_ADDRESS_PART_06 0x13

#define UDP_PORT_ADRESS 6454
#define UPD_MAX_PACKAGE_LENGTH_READ 530
#define UPD_MAX_PACKAGE_LENGTH_WRITE 532